<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/sc.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">sc.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series Smartcard (SC) driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/dde/sc_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2sc_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d9/d50/sc_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gab1a473b529ef7082465c9a36b4be3472"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab1a473b529ef7082465c9a36b4be3472">SC_INTERFACE_NUM</a>&#160;&#160;&#160;2</td></tr>
<tr class="separator:gab1a473b529ef7082465c9a36b4be3472"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4139385096ce734bae06ffcf9b3e17f8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4139385096ce734bae06ffcf9b3e17f8">SC_PIN_STATE_HIGH</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:ga4139385096ce734bae06ffcf9b3e17f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga701f03dee8707fc79904c366ba9c1ecd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga701f03dee8707fc79904c366ba9c1ecd">SC_PIN_STATE_LOW</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga701f03dee8707fc79904c366ba9c1ecd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb55b76af45870f987a07a7eb77a48be"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaeb55b76af45870f987a07a7eb77a48be">SC_PIN_STATE_IGNORE</a>&#160;&#160;&#160;0xFFFFFFFF</td></tr>
<tr class="separator:gaeb55b76af45870f987a07a7eb77a48be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae3a1226e02cda376b379e6534fd15cd"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaae3a1226e02cda376b379e6534fd15cd">SC_CLK_ON</a>&#160;&#160;&#160;1</td></tr>
<tr class="separator:gaae3a1226e02cda376b379e6534fd15cd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7594c159808693097956544911873706"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga7594c159808693097956544911873706">SC_CLK_OFF</a>&#160;&#160;&#160;0</td></tr>
<tr class="separator:ga7594c159808693097956544911873706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae87df6cf79c2a8d4d11800abdc12fd3d"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae87df6cf79c2a8d4d11800abdc12fd3d">SC_TMR_MODE_0</a>&#160;&#160;&#160;(0ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gae87df6cf79c2a8d4d11800abdc12fd3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae0f8c207f06d76ac991f83f4e9e4ef1c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae0f8c207f06d76ac991f83f4e9e4ef1c">SC_TMR_MODE_1</a>&#160;&#160;&#160;(1ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gae0f8c207f06d76ac991f83f4e9e4ef1c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga678d4e7a4f4df9c67620f61a4a8c9d83"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga678d4e7a4f4df9c67620f61a4a8c9d83">SC_TMR_MODE_2</a>&#160;&#160;&#160;(2ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga678d4e7a4f4df9c67620f61a4a8c9d83"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1e993e725d025908a74b00de76959cfc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1e993e725d025908a74b00de76959cfc">SC_TMR_MODE_3</a>&#160;&#160;&#160;(3ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga1e993e725d025908a74b00de76959cfc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadda1fe01cd6041b3a0a5b873928d99da"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gadda1fe01cd6041b3a0a5b873928d99da">SC_TMR_MODE_4</a>&#160;&#160;&#160;(4ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gadda1fe01cd6041b3a0a5b873928d99da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc35fb3ef29c35ae19726dbdeb821991"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacc35fb3ef29c35ae19726dbdeb821991">SC_TMR_MODE_5</a>&#160;&#160;&#160;(5ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:gacc35fb3ef29c35ae19726dbdeb821991"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94cf6d5c9afc10553eea1d7b451943e1"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94cf6d5c9afc10553eea1d7b451943e1">SC_TMR_MODE_6</a>&#160;&#160;&#160;(6ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga94cf6d5c9afc10553eea1d7b451943e1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga679670797f561a5b4e15f4bf0d9ba6e4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga679670797f561a5b4e15f4bf0d9ba6e4">SC_TMR_MODE_7</a>&#160;&#160;&#160;(7ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga679670797f561a5b4e15f4bf0d9ba6e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54e0f8ab6f2f17e48af5d64e923d029c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga54e0f8ab6f2f17e48af5d64e923d029c">SC_TMR_MODE_8</a>&#160;&#160;&#160;(8ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga54e0f8ab6f2f17e48af5d64e923d029c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94ae5ed2453af741c1895a68cb51161b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../de/dd5/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga94ae5ed2453af741c1895a68cb51161b">SC_TMR_MODE_F</a>&#160;&#160;&#160;(0xF &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a4293154c7d3bd4fd4864291d3ec65179">SC_TMR0_MODE_Pos</a>)</td></tr>
<tr class="separator:ga94ae5ed2453af741c1895a68cb51161b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae25939fa305f5852efbc7e53406c91b9"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae25939fa305f5852efbc7e53406c91b9">SC_ENABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:gae25939fa305f5852efbc7e53406c91b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro enable smartcard interrupt.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae25939fa305f5852efbc7e53406c91b9">More...</a><br /></td></tr>
<tr class="separator:gae25939fa305f5852efbc7e53406c91b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4269c9aad74dbbe0a213de2d4404ed77"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4269c9aad74dbbe0a213de2d4404ed77">SC_DISABLE_INT</a>(sc,  u32Mask)</td></tr>
<tr class="memdesc:ga4269c9aad74dbbe0a213de2d4404ed77"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro disable smartcard interrupt.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4269c9aad74dbbe0a213de2d4404ed77">More...</a><br /></td></tr>
<tr class="separator:ga4269c9aad74dbbe0a213de2d4404ed77"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga669b8227a1056fa08ceb5afe217d8832"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga669b8227a1056fa08ceb5afe217d8832">SC_SET_VCC_PIN</a>(sc,  u32State)</td></tr>
<tr class="memdesc:ga669b8227a1056fa08ceb5afe217d8832"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set VCC pin state of smartcard interface.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga669b8227a1056fa08ceb5afe217d8832">More...</a><br /></td></tr>
<tr class="separator:ga669b8227a1056fa08ceb5afe217d8832"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga62220e9a491ffc3939ecd0cf91026ddc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga62220e9a491ffc3939ecd0cf91026ddc">SC_SET_CLK_PIN</a>(sc,  u32OnOff)</td></tr>
<tr class="memdesc:ga62220e9a491ffc3939ecd0cf91026ddc"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro turns CLK output on or off.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga62220e9a491ffc3939ecd0cf91026ddc">More...</a><br /></td></tr>
<tr class="separator:ga62220e9a491ffc3939ecd0cf91026ddc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51438ad6c2f3abab60b73db09fa95bc3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga51438ad6c2f3abab60b73db09fa95bc3">SC_SET_IO_PIN</a>(sc,  u32State)</td></tr>
<tr class="memdesc:ga51438ad6c2f3abab60b73db09fa95bc3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set I/O pin state of smartcard interface.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga51438ad6c2f3abab60b73db09fa95bc3">More...</a><br /></td></tr>
<tr class="separator:ga51438ad6c2f3abab60b73db09fa95bc3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e7d2b09409dcd97efff792cd00d0c8a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e7d2b09409dcd97efff792cd00d0c8a">SC_SET_RST_PIN</a>(sc,  u32State)</td></tr>
<tr class="memdesc:ga8e7d2b09409dcd97efff792cd00d0c8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set RST pin state of smartcard interface.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8e7d2b09409dcd97efff792cd00d0c8a">More...</a><br /></td></tr>
<tr class="separator:ga8e7d2b09409dcd97efff792cd00d0c8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaadb18d6ea936b003149f60db3aeeb403"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaadb18d6ea936b003149f60db3aeeb403">SC_READ</a>(sc)</td></tr>
<tr class="memdesc:gaadb18d6ea936b003149f60db3aeeb403"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro read one byte from smartcard module receive FIFO.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaadb18d6ea936b003149f60db3aeeb403">More...</a><br /></td></tr>
<tr class="separator:gaadb18d6ea936b003149f60db3aeeb403"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2528b4dd15065e779a59a5eb58aa4464"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2528b4dd15065e779a59a5eb58aa4464">SC_WRITE</a>(sc,  u8Data)</td></tr>
<tr class="memdesc:ga2528b4dd15065e779a59a5eb58aa4464"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro write one byte to smartcard module transmit FIFO.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2528b4dd15065e779a59a5eb58aa4464">More...</a><br /></td></tr>
<tr class="separator:ga2528b4dd15065e779a59a5eb58aa4464"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae429a57a34b2afd2e041714b0aee0b92"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae429a57a34b2afd2e041714b0aee0b92">SC_SET_STOP_BIT_LEN</a>(sc,  u32Len)</td></tr>
<tr class="memdesc:gae429a57a34b2afd2e041714b0aee0b92"><td class="mdescLeft">&#160;</td><td class="mdescRight">This macro set smartcard stop bit length.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gae429a57a34b2afd2e041714b0aee0b92">More...</a><br /></td></tr>
<tr class="separator:gae429a57a34b2afd2e041714b0aee0b92"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gad699bccb4c5e1e51532907309a8f25e5"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">SC_SetTxRetry</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</td></tr>
<tr class="memdesc:gad699bccb4c5e1e51532907309a8f25e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable Tx error retry, and set Tx error retry count.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad699bccb4c5e1e51532907309a8f25e5">More...</a><br /></td></tr>
<tr class="separator:gad699bccb4c5e1e51532907309a8f25e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga71291615e3fbee7de0cad3e8ff57a18f"><td class="memItemLeft" align="right" valign="top">__STATIC_INLINE void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">SC_SetRxRetry</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32Count)</td></tr>
<tr class="memdesc:ga71291615e3fbee7de0cad3e8ff57a18f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable/Disable Rx error retry, and set Rx error retry count.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga71291615e3fbee7de0cad3e8ff57a18f">More...</a><br /></td></tr>
<tr class="separator:ga71291615e3fbee7de0cad3e8ff57a18f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga686a066952920555d863a2adbb1c985a"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">SC_IsCardInserted</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga686a066952920555d863a2adbb1c985a"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function indicates specified smartcard slot status.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga686a066952920555d863a2adbb1c985a">More...</a><br /></td></tr>
<tr class="separator:ga686a066952920555d863a2adbb1c985a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">SC_ClearFIFO</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset both transmit and receive FIFO of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gabbf16e2b53c6775d903d5e398d4c5e29">More...</a><br /></td></tr>
<tr class="separator:gabbf16e2b53c6775d903d5e398d4c5e29"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">SC_Close</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function disable specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad7fabbdd3ae9853db07af8a98508f8cf">More...</a><br /></td></tr>
<tr class="separator:gad7fabbdd3ae9853db07af8a98508f8cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3fb708b1684dff67a8ce2c3951e55731"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">SC_Open</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CD, uint32_t u32PWR)</td></tr>
<tr class="memdesc:ga3fb708b1684dff67a8ce2c3951e55731"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function initialized smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3fb708b1684dff67a8ce2c3951e55731">More...</a><br /></td></tr>
<tr class="separator:ga3fb708b1684dff67a8ce2c3951e55731"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga31243375c4a9a634e6b5fb3808aabb21"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">SC_ResetReader</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga31243375c4a9a634e6b5fb3808aabb21"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function reset specified smartcard module to its default state for activate smartcard.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga31243375c4a9a634e6b5fb3808aabb21">More...</a><br /></td></tr>
<tr class="separator:ga31243375c4a9a634e6b5fb3808aabb21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2744d5a40d4fd646192c641d20aecb78"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">SC_SetBlockGuardTime</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32BGT)</td></tr>
<tr class="memdesc:ga2744d5a40d4fd646192c641d20aecb78"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function block guard time (BGT) of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga2744d5a40d4fd646192c641d20aecb78">More...</a><br /></td></tr>
<tr class="separator:ga2744d5a40d4fd646192c641d20aecb78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga309160531bd03b3df167a13e5f1e63b1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">SC_SetCharGuardTime</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32CGT)</td></tr>
<tr class="memdesc:ga309160531bd03b3df167a13e5f1e63b1"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function character guard time (CGT) of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga309160531bd03b3df167a13e5f1e63b1">More...</a><br /></td></tr>
<tr class="separator:ga309160531bd03b3df167a13e5f1e63b1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">SC_StopAllTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc)</td></tr>
<tr class="memdesc:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop all smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga450a6bee9c5c243cc116fdeae859dbf3">More...</a><br /></td></tr>
<tr class="separator:ga450a6bee9c5c243cc116fdeae859dbf3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">SC_StartTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum, uint32_t u32Mode, uint32_t u32ETUCount)</td></tr>
<tr class="memdesc:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function configure and start a smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6f12c3d08c7ab548f69e90e94340aea8">More...</a><br /></td></tr>
<tr class="separator:ga6f12c3d08c7ab548f69e90e94340aea8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">SC_StopTimer</a> (<a class="el" href="../../d6/d6b/struct_s_c___t.html">SC_T</a> *sc, uint32_t u32TimerNum)</td></tr>
<tr class="memdesc:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function stop a smartcard timer of specified smartcard module.  <a href="../../d5/d2f/group___n_a_n_o1_x2___s_c___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga6a9ee8ad942a87c0c22d61ea333e7e0c">More...</a><br /></td></tr>
<tr class="separator:ga6a9ee8ad942a87c0c22d61ea333e7e0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series Smartcard (SC) driver header file. </p>
<p >Nano102/112 series Smartcard UART mode (SCUART) driver header file.</p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>9 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/05/08 7:54p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved.</dd></dl>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>9 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>14/11/27 11:50a </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d9/d50/sc_8h_source.html">sc.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
